Class | Chef::Provider::User
In: | lib/chef/provider/user/dscl.rb lib/chef/provider/user/pw.rb lib/chef/provider/user/useradd.rb lib/chef/provider/user/windows.rb lib/chef/provider/user.rb
Parent: | Object

### Methods

action_create action_lock action_manage action_modify action_remove action_unlock check_lock compare_user convert_group_name load_current_resource lock_user manage_user new remove_user unlock_user

### Included Modules

Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::User::Dscl
Class Chef::Provider::User::Pw
Class Chef::Provider::User::Useradd
Class Chef::Provider::User::Windows

### Attributes

locked | [RW] |
user_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_lock()
action_manage()
action_modify()
action_remove()
action_unlock()
check_lock()
compare_user()

Check to see if the user needs any changes

### Returns

<true>: | If a change is required
<false>: | If the users are identical

convert_group_name()
load_current_resource()
lock_user()
manage_user()
remove_user()
unlock_user()

[Validate]